## recoll 1.24.3

=== debian/changelog ===
recoll (1.24.3-3+rb2) UNRELEASED; urgency=medium

  * update

 -- Kartik Mistry <kartik@debian.org>  Fri, 22 Jan 2021 12:18:02 +0800

recoll (1.24.3-3) unstable; urgency=low

  * debian/rules:
    + Added patch to enable parallel building. Thanks Pino Toscano.
      (Closes: #914782)

 -- Kartik Mistry <kartik@debian.org>  Tue, 27 Nov 2018 14:09:56 +0530

recoll (1.24.3-2) unstable; urgency=low

  * debian/control:
    + Added missing python dependencies.

 -- Kartik Mistry <kartik@debian.org>  Mon, 26 Nov 2018 19:10:40 +0530

recoll (1.24.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/recoll-qabstractviewitem.diff:
    + Dropped. Merged upstream.
  * Fixed upstream signing key.

 -- Kartik Mistry <kartik@debian.org>  Tue, 20 Nov 2018 18:18:54 +0530

recoll (1.24.1-4) unstable; urgency=low

  * debian/control:
    + recollcmd: Move python* from Depends to Recommends (Closes: #912449)
    + Fixed typo: python-libxm2 -> python-libxml2.

 -- Kartik Mistry <kartik@debian.org>  Thu, 01 Nov 2018 11:25:01 +0530

recoll (1.24.1-3) unstable; urgency=medium

  * debian/patches:
    + Added patch to fix FTBFS (Closes: #906764)
    + Added patch to fix wrong interpreter path.
  * debian/control:
    + Updated Standards-Version to 4.2.1

 -- Kartik Mistry <kartik@debian.org>  Mon, 27 Aug 2018 21:35:38 +0530

=== debian/control ===
Source: recoll
Section: x11
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: bison,
               debhelper (>= 11),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               libqt5webkit5-dev,
               libx11-dev,
               libxapian-dev (>= 1.2.0),
               libz-dev,
               python-dev (>= 2.6.6-3~),
               python3-all-dev,
               qtbase5-dev
Vcs-Git: https://salsa.debian.org/debian/recoll.git
Vcs-Browser: https://salsa.debian.org/debian/recoll
Homepage: https://www.lesbonscomptes.com/recoll
Standards-Version: 4.2.1

Package: recoll
Architecture: all
Depends: recollcmd, recollgui, ${misc:Depends}
Description: Personal full text search package
 This package is a personal full text search package is based on a very strong
 backend (Xapian), for which it provides an easy to use and feature-rich
 interface.
 .
 Features:
  * Qt-based GUI.
  * Supports the following document types (and their compressed versions).
   - Natively: text, html, OpenOffice files, maildir and mailbox (Mozilla and
     IceDove mail) with attachments, pidgin log files.
   - With external helpers:  pdf (pdftotext), postscript (ghostscript), msword
     (antiword), excel, rtf (unrtf).
  * Powerful query facilities, with boolean searches, phrases, filter on file
    types and directory tree.
  * Support for multiple charsets, Internal processing and storage uses Unicode
    UTF-8.
  * Stemming performed at query time (can switch stemming language after
    indexing).
  * Easy installation. No database daemon, web server or exotic language
    necessary.
  * An indexer which runs either as a thread inside the GUI or as an external,
    cron'able program.
 .
 This metapackage installs recoll GUI and commandline tools.

Package: recollcmd
Architecture: any
Breaks: recoll (<< 1.23.7-2)
Replaces: recoll (<< 1.23.7-2)
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: aspell,
            python,
            python-libxml2,
            python-libxslt1,
            python-recoll,
            python3,
            python3-recoll,
            xdg-utils,
            xsltproc
Suggests: antiword,
          ghostscript,
          groff,
          libimage-exiftool-perl,
          libinotifytools0,
          poppler-utils,
          pstotext,
          python-chm,
          python-lzma,
          python-mido,
          python-mutagen,
          python-rarfile,
          unrtf,
          untex,
          wv
Description: Command line programs for recoll
 This package contains command line programs for a personal full text search
 package recoll.

Package: recollgui
Architecture: any
Breaks: recoll (<< 1.23.7-2)
Replaces: recoll (<< 1.23.7-2)
Depends: recollcmd (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GUI program and elements for recoll
 This package contains main recoll GUI for configuring, controlling and
 querying recoll indexes

Package: python-recoll
Architecture: any
Section: python
Depends: python,
         recollcmd (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python extension for recoll
 Personal full text search package which is based on a very strong backend
 (Xapian), for which it provides an easy to use and feature-rich interface.
 .
 This package provides Python extension module for recoll which can be use to
 extend recoll such as an Ubuntu Unity Lens.

Package: python3-recoll
Architecture: any
Section: python
Depends: python3,
         recollcmd (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python extension for recoll (Python3)
 Personal full text search package which is based on a very strong backend
 (Xapian), for which it provides an easy to use and feature-rich interface.
 .
 This package provides Python3 extension module for recoll which can be use to
 extend recoll such as an Ubuntu Unity Lens.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

build3vers := $(shell py3versions -sv)

#build qt5 UI
export QT_SELECT := qt5

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

config.status: configure
	dh_testdir
	./configure CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		    --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --mandir=\$${prefix}/share/man \
		    --prefix=/usr \
		    --enable-recollq \
		    --enable-xadump

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) $(NJOBS)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean Makefile

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) STRIP=ls prefix=$(CURDIR)/debian/tmp/usr install
	# Work around recollinstall forgetting the PPT text-extract utility
	install -m 0444 filters/msodump.zip $(CURDIR)/debian/tmp/usr/share/recoll/filters
	install -m 0555 filters/ppt-dump.py $(CURDIR)/debian/tmp/usr/share/recoll/filters
	# Executable fixes
	chmod +x $(CURDIR)/debian/tmp/usr/share/recoll/examples/rclmon.sh
	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclexec1.py
	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclxslt.py

	#Remove .la files
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

	(cd python/recoll; python setup.py install \
			--install-layout=deb \
			--prefix=$(CURDIR)/debian/tmp/usr )
	set -e && for i in $(build3vers); do \
	(cd python/recoll; python$$i ./setup.py install \
			--install-layout=deb \
			--prefix=$(CURDIR)/debian/tmp/usr ) ; \
	done

	# Remove unneeded files
	rm -f $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/recoll/*.pyc
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/recoll/__pycache__/

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README
	dh_installman
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip --no-automatic-dbgsym
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README
	dh_install --sourcedir=debian/tmp
	dh_python2 -p python-recoll
	dh_python3 -p python3-recoll
	dh_link
	dh_compress
	dh_fixperms
	dh_lintian
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://www.lesbonscomptes.com/recoll/download.html \
(?:|.*/)recoll(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## recoll 1.24.5

=== debian/changelog ===
recoll (1.24.5-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Make all recommended packages dependencies.
  * debian/patches/wrong-interpreter.diff:
    + Dropped. Merged upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Feb 2019 18:41:25 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: recoll
 Section: x11
 Priority: optional
-Maintainer: Kartik Mistry <kartik@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: bison,
-               debhelper (>= 11),
+               debhelper (>= 10.2~),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                libqt5webkit5-dev,
@@ -50,8 +51,8 @@
 Architecture: any
 Breaks: recoll (<< 1.23.7-2)
 Replaces: recoll (<< 1.23.7-2)
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: aspell,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+            aspell,
             python,
             python-libxml2,
             python-libxslt1,
@@ -85,7 +86,7 @@
 Replaces: recoll (<< 1.23.7-2)
 Depends: recollcmd (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: GUI program and elements for recoll
- This package contains main recoll GUI for configuring, controlling and
+ This package contains the main recoll GUI for configuring, controlling and
  querying recoll indexes
 
 Package: python-recoll
@@ -101,7 +102,7 @@
  (Xapian), for which it provides an easy to use and feature-rich interface.
  .
  This package provides Python extension module for recoll which can be use to
- extend recoll such as an Ubuntu Unity Lens.
+ extend recoll such as for an Ubuntu Unity Lens.
 
 Package: python3-recoll
 Architecture: any
@@ -116,4 +117,4 @@
  (Xapian), for which it provides an easy to use and feature-rich interface.
  .
  This package provides Python3 extension module for recoll which can be use to
- extend recoll such as an Ubuntu Unity Lens.
+ extend recoll such as for an Ubuntu Unity Lens.

=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
-	dh_installdocs README
+#	dh_installdocs README
 	dh_installman
 	dh_install --sourcedir=debian/tmp
 	dh_link

## recoll 1.26.3

=== doc/user/Makefile ===



# Wherever docbook.xsl and chunk.xsl live.
# NOTE: THIS IS HARDCODED inside custom.xsl (for changing the output
# charset), which needs to change if the stylesheet location changes.
# Necessity of custom.xsl:
#   http://www.sagehill.net/docbookxsl/OutputEncoding.html

# Fbsd
#XSLDIR="/usr/local/share/xsl/docbook/"
# Mac
#XSLDIR="/opt/local/share/xsl/docbook-xsl/"
#Linux
XSLDIR="/usr/share/xml/docbook/stylesheet/docbook-xsl/"


# Options common to the single-file and chunked versions
commonoptions=--stringparam section.autolabel 1 \
  --stringparam section.autolabel.max.depth 2 \
  --stringparam section.label.includes.component.label 1 \
  --stringparam toc.max.depth 3 \
  --stringparam autotoc.label.in.hyperlink 0 \
  --stringparam abstract.notitle.enabled 1 \
  --stringparam html.stylesheet docbook-xsl.css \
  --stringparam generate.toc "book toc,title,figure,table,example,equation"


# index.html chunk format target replaced by nicer webhelp (needs separate
# make) in webhelp/ subdir
all: usermanual.html webh usermanual.pdf

webh:
	make -C webhelp
        
usermanual.html: usermanual.xml recoll.conf.xml
	xsltproc --xinclude ${commonoptions} \
            -o tmpfile.html custom.xsl $<
	-tidy -indent tmpfile.html > usermanual.html
	rm -f tmpfile.html

index.html: usermanual.xml recoll.conf.xml
	xsltproc ${commonoptions} \
            --stringparam use.id.as.filename 1 \
            --stringparam root.filename index \
            "${XSLDIR}/html/chunk.xsl" $<

usermanual.pdf: usermanual.xml recoll.conf.xml
	dblatex --xslt-opts="--xinclude" -tpdf $<

UTILBUILDS=/home/dockes/tmp/builds/medocutils/
recoll-conf-xml:
	$(UTILBUILDS)/confxml --docbook \
        --idprefix=RCL.INSTALL.CONFIG.RECOLLCONF  \
        ../../sampleconf/recoll.conf  > recoll.conf.xml

# Generating a restructured text version, for uploading to readthedocs.
# Does not really work, the internal links are botched. pandoc
# generates something like:
#  `configuration <#RCL.INDEXING.CONFIG>`__
# when it should be:
# :ref:`RCL.INDEXING.CONFIG`
# Also with the second form, the link text is the section heading (can't be
# chosen), which is not nice. Else, the change could probably be done by a
# script. 
# Also could not get readthedocs to generate the left pane TOC? could
# probably be fixed...
#usermanual-rst: recoll-conf-xml
#	tail -n +2 recoll.conf.xml > rcl-conf-tail.xml
#	sed -e '/xi:include/r rcl-conf-tail.xml' \
#		< usermanual.xml > full-man.xml
#	sed -i -e '/xi:include/d' -e '/<?xml version="1.0"?>/d' full-man.xml
#	pandoc -s -f docbook -t rst full-man.xml  > \
#		../../../docs/index.rst
#	rm -f rcl-conf-tail.xml full-man.xml
# not needed with pandoc 2.x -@echo fix termmatch and execute

clean:
	rm -f RCL.*.html usermanual.pdf usermanual.html index.html \
	  tmpfile.html rcl-conf-tail.xml full-man.xml

=== python/recoll/Makefile ===
all:
	echo libdir: $(libdir)
	test '.' = '.' || cp -rp ./recoll .
	libdir=$(libdir) python setup.py build
install:
	sudo python setup.py install
clean:
	rm -rf build 
	rm -f recoll/__init__.pyc
	rm -rf recoll/__pycache__
distclean: clean
	rm -f setup.py

=== kde/kioslave/kio_recoll-kde4/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(kio_recoll)

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=7130
    -DRECOLL_DATADIR=\\"${CMAKE_INSTALL_PREFIX}/share/recoll\\"
    -DLIBDIR=\\"${CMAKE_INSTALL_PREFIX}/lib\\"
    -DHAVE_CONFIG_H
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 

set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --disable-python-chm --disable-python-module --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
		WORKING_DIRECTORY ${rcltop}
)

link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
  ${rcltop}/qtgui
)

set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp ${rcltop}/qtgui/guiutils.cpp)

CHECK_LIBRARY_EXISTS(dl dlopen "" DLOPEN_IN_LIBDL)
IF(DLOPEN_IN_LIBDL)
	LIST(APPEND EXTRA_LIBS dl)
ENDIF(DLOPEN_IN_LIBDL)
CHECK_LIBRARY_EXISTS(pthread pthread_sigmask "" PTHREAD_IN_LIBPTHREAD)
IF(PTHREAD_IN_LIBPTHREAD)
	LIST(APPEND EXTRA_LIBS pthread)
ENDIF(PTHREAD_IN_LIBPTHREAD)

# Had the idea to add e.g. /usr/lib/recoll to the rpath so that the dyn lib 
# will be found at run time. But this does not seem to work with debian 
# which strips RPATH by default (I think there is a way for libs in app-specific
# paths but I did not find it). Link with the .a instead.
#SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/recoll")

kde4_add_plugin(kio_recoll ${kio_recoll_SRCS})

add_custom_target(rcllib
                 COMMAND make PicStatic
                 WORKING_DIRECTORY ${rcltop}
)
add_dependencies(kio_recoll rcllib)

target_link_libraries(kio_recoll recoll xapian xslt xml2 z ${EXTRA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kio_recoll DESTINATION ${PLUGIN_INSTALL_DIR})

IF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
     install(FILES recoll.protocol recollf.protocol DESTINATION ${SERVICES_INSTALL_DIR})
ELSE ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
   install(FILES recollnolist.protocol DESTINATION ${SERVICES_INSTALL_DIR}
   		 RENAME recoll.protocol)
ENDIF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)

install(FILES data/welcome.html	data/help.html
	      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

=== kde/kioslave/kio_recoll/CMakeLists.txt ===
project(kio_recoll)

cmake_minimum_required(VERSION 2.8.12)

include(FeatureSummary)

set(QT_MIN_VERSION 5.2.0)
set(KF5_MIN_VERSION 5.0.0)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Network
    Widgets)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# CoreAddons?
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    KIO)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
)


## Recoll stuff
add_definitions(
    -DRECOLL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/recoll"
    -DLIBDIR="${CMAKE_INSTALL_PREFIX}/lib"
    -DHAVE_CONFIG_H
)


set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --disable-python-chm --disable-python-module --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
		WORKING_DIRECTORY ${rcltop}
)

link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)

include_directories (${CMAKE_SOURCE_DIR}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
  ${rcltop}/qtgui
)

set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp 
${rcltop}/qtgui/guiutils.cpp)


# Had the idea to add e.g. /usr/lib/recoll to the rpath so that the dyn lib 
# will be found at run time. But this does not seem to work with debian 
# which strips RPATH by default (I think there is a way for libs in app-specific
# paths but I did not find it). Link with the .a instead.
#SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/recoll")

add_library(kio_recoll MODULE ${kio_recoll_SRCS})

add_custom_target(rcllib
                 COMMAND make -j 3 PicStatic
                 WORKING_DIRECTORY ${rcltop}
)
add_dependencies(kio_recoll rcllib)

target_link_libraries(kio_recoll
recoll
xapian
xslt
xml2
KF5::KIOCore
dl
z
pthread
)

install(FILES recoll.protocol recollf.protocol 
              DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES data/welcome.html	data/help.html
	      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

# Tried but could not use PLUGIN_INSTALL_DIR (/usr/lib64/plugins), or
# /usr/lib64/qt5/plugins/kf5/kio/recoll.so: the module is not found by
# dolphin). Actually that's because of the protocol file. recoll has 
# exec=kio_recoll, file has exec=kf5/kio/file

set_target_properties(kio_recoll PROPERTIES OUTPUT_NAME "kio_recoll")
install(TARGETS kio_recoll DESTINATION ${LIB_INSTALL_DIR}/qt5/plugins)

=== debian/changelog ===
recoll (1.26.3-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:27 +0100

recoll (1.26.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bumped libxapian-dev version dependency.

 -- Kartik Mistry <kartik@debian.org>  Sun, 01 Dec 2019 19:01:12 +0530

recoll (1.26.1-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Thu, 07 Nov 2019 18:22:36 +0530

recoll (1.26.0-2) unstable; urgency=low

  * debian/patches/blhc.diff:
    + Added patch to fix blhc missing CPP/CXXFLAGS.

 -- Kartik Mistry <kartik@debian.org>  Fri, 18 Oct 2019 20:20:21 +0530

recoll (1.26.0-1) unstable; urgency=low

  * New upstream release.
  * Added debian/gitlab-ci.yml.
  * Bumped dh to 12.
  * debian/patches/wrong-interpreter.diff, debian/patches/path_max.diff:
    + Dropped. Applied upstream.
  * debian/control:
    + Added missing Build-Depends.
    + Updated Standards-Version to 4.4.1
    + Removed python-recoll package (Closes: #938341)
    + Suggests more helpers (Closes: #942072)
  * debian/rules:
    + Moved to dh based rules.
    + Removed python2 bits.
    + Updated for dh 12.

 -- Kartik Mistry <kartik@debian.org>  Thu, 17 Oct 2019 10:45:38 +0530

recoll (1.24.3-4) unstable; urgency=low

  * debian/patches/path_max.diff:
    + Added patch to fix build on hurd-i386 from upstream.

 -- Kartik Mistry <kartik@debian.org>  Fri, 14 Dec 2018 20:59:39 +0530

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: recoll
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
+Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: bison,
-               debhelper (>= 10.2~),
+               debhelper (>= 12),
                dh-python,
                dpkg-dev (>= 1.16.1~),
+               libaspell-dev,
+               libchm-dev,
                libqt5webkit5-dev,
                libx11-dev,
-               libxapian-dev (>= 1.2.0),
+               libxapian-dev (>= 1.4.0),
+               libxslt1-dev,
                libz-dev,
-               python-dev (>= 2.6.6-3~),
                python3-all-dev,
+               python3-setuptools,
                qtbase5-dev
 Vcs-Git: https://salsa.debian.org/debian/recoll.git
 Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: https://www.lesbonscomptes.com/recoll
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 
 Package: recoll
 Architecture: all
@@ -51,28 +53,25 @@
 Architecture: any
 Breaks: recoll (<< 1.23.7-2)
 Replaces: recoll (<< 1.23.7-2)
-Depends: ${misc:Depends}, ${shlibs:Depends},
-            aspell,
-            python,
-            python-libxml2,
-            python-libxslt1,
-            python-recoll,
-            python3,
-            python3-recoll,
-            xdg-utils,
-            xsltproc
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: aspell, python3, python3-recoll, xdg-utils, xsltproc
 Suggests: antiword,
+          djvulibre-bin,
           ghostscript,
           groff,
           libimage-exiftool-perl,
           libinotifytools0,
+          libwpd-tools,
           poppler-utils,
           pstotext,
-          python-chm,
-          python-lzma,
-          python-mido,
-          python-mutagen,
-          python-rarfile,
+          python3-chardet,
+          python3-chm,
+          python3-icalendar,
+          python3-lxml,
+          python3-mido,
+          python3-mutagen,
+          python3-rarfile,
+          python3-six,
           unrtf,
           untex,
           wv
@@ -86,23 +85,8 @@
 Replaces: recoll (<< 1.23.7-2)
 Depends: recollcmd (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: GUI program and elements for recoll
- This package contains the main recoll GUI for configuring, controlling and
- querying recoll indexes
-
-Package: python-recoll
-Architecture: any
-Section: python
-Depends: python,
-         recollcmd (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Description: Python extension for recoll
- Personal full text search package which is based on a very strong backend
- (Xapian), for which it provides an easy to use and feature-rich interface.
- .
- This package provides Python extension module for recoll which can be use to
- extend recoll such as for an Ubuntu Unity Lens.
+ This package contains main recoll GUI for configuring, controlling and
+ querying recoll indexes.
 
 Package: python3-recoll
 Architecture: any
@@ -117,4 +101,4 @@
  (Xapian), for which it provides an easy to use and feature-rich interface.
  .
  This package provides Python3 extension module for recoll which can be use to
- extend recoll such as for an Ubuntu Unity Lens.
+ extend recoll such as an Ubuntu Unity Lens.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

build3vers := $(shell py3versions -sv)

# Build qt5 UI
export QT_SELECT := qt5

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --enable-recollq --enable-xadump

override_dh_auto_install:
	dh_auto_install
	set -e && for i in $(build3vers); do \
	(cd python/recoll; libdir=/usr/lib/$${DEB_BUILD_MULTIARCH} python$$i \
					./setup.py install \
					--install-layout=deb \
					--prefix=/usr \
					--root=$(CURDIR)/debian/tmp/ ) ; \
	done
	set -e && for i in $(build3vers); do \
	(cd python/pychm; python$$i ./setup.py install \
					--install-layout=deb \
					--prefix=/usr \
					--root=$(CURDIR)/debian/tmp/ ) ; \
	done
	# Remove python2 filter
	rm -f $(CURDIR)/debian/tmp/usr/share/recoll/filters/hotrecoll.py
	# Cleanup
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*/*/__pycache__

## recoll 1.27.3

=== debian/changelog ===
recoll (1.27.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Added 'Rules-Requires-Root' field.

 -- Kartik Mistry <kartik@debian.org>  Tue, 30 Jun 2020 17:55:09 +0530

recoll (1.27.2-1) unstable; urgency=low

  * New upstream release (Closes: #961721)
  * debian/control:
    + Bumped dh to 13.
  * debian/rules:
    + We are on Python3 only, so don't use pyversions.
  * Do not install recoll.appdata.xml yet.

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 May 2020 18:08:45 +0530

recoll (1.26.7-1) unstable; urgency=medium

  * New upstream release:
    + Fixes loss of GUI preferences due to filename change in 1.26.6 release.
      This was previously named ~/.config/Recoll.org/recoll.conf, and it is
      now ~/.config/Recoll.org/recoll.ini. In order to recover your
      preferences, and supposing that you have nothing useful in the new file,
      please exit recoll, then rename ~/.config/Recoll.org/recoll.conf to
      ~/.config/Recoll.org/recoll.ini
  * Updated debian/README.Debian with notes from upstream. Thank you,
    Jean-Francois Dockes.
  * Added 'python3-all' as Build-Depends.

 -- Kartik Mistry <kartik@debian.org>  Sat, 04 Apr 2020 17:59:41 +0530

recoll (1.26.6-1) unstable; urgency=low

  * New upstream release.
  * Refreshed debian/patches/blhc.diff.

 -- Kartik Mistry <kartik@debian.org>  Sat, 28 Mar 2020 20:04:40 +0530

recoll (1.26.5-1) unstable; urgency=low

  * New upstream release (Closes: #949673)
    + Fix FTBFS with libxslt 1.1.34 (Closes: #948870)
  * debian/control:
    + Switch to debhelper-compat.
    + Updated Standards-Version to 4.5.0
  * Added debian/upstream/metadata file.

 -- Kartik Mistry <kartik@debian.org>  Mon, 16 Mar 2020 11:59:17 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: bison,
-               debhelper (>= 12),
+               debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                libaspell-dev,
@@ -13,13 +13,16 @@
                libxapian-dev (>= 1.4.0),
                libxslt1-dev,
                libz-dev,
+               pkg-config,
+               python3-all,
                python3-all-dev,
                python3-setuptools,
                qtbase5-dev
 Vcs-Git: https://salsa.debian.org/debian/recoll.git
 Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: https://www.lesbonscomptes.com/recoll
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: recoll
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-build3vers := $(shell py3versions -sv)
 
 # Build qt5 UI
 export QT_SELECT := qt5
@@ -27,22 +25,20 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	set -e && for i in $(build3vers); do \
-	(cd python/recoll; libdir=/usr/lib/$${DEB_BUILD_MULTIARCH} python$$i \
+	cd python/recoll; libdir=/usr/lib/$${DEB_BUILD_MULTIARCH} python3 \
 					./setup.py install \
 					--install-layout=deb \
 					--prefix=/usr \
-					--root=$(CURDIR)/debian/tmp/ ) ; \
-	done
-	set -e && for i in $(build3vers); do \
-	(cd python/pychm; python$$i ./setup.py install \
+					--root=$(CURDIR)/debian/tmp/
+	cd python/pychm; python3 ./setup.py install \
 					--install-layout=deb \
 					--prefix=/usr \
-					--root=$(CURDIR)/debian/tmp/ ) ; \
-	done
+					--root=$(CURDIR)/debian/tmp/
 	# Remove python2 filter
 	rm -f $(CURDIR)/debian/tmp/usr/share/recoll/filters/hotrecoll.py
 	# Cleanup
 	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
 	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*/*/__pycache__
+	# Remove legacy format appdata.xml
+	rm -f $(CURDIR)/debian/tmp/usr/share/metainfo/recoll.appdata.xml

## recoll 1.28.5

=== debian/changelog ===
recoll (1.28.5-2) unstable; urgency=high

  * Added missing Breaks+Replaces version for recollcmd and recollgui
    (Closes: #984463)

 -- Kartik Mistry <kartik@debian.org>  Fri, 26 Mar 2021 17:56:52 +0530

recoll (1.28.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Suggest python3-py7zr instead of python3-lz4 (Closes: #950782)

 -- Kartik Mistry <kartik@debian.org>  Mon, 18 Jan 2021 10:10:00 +0530

recoll (1.28.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Suggest python3-lz4 (Closes: #950782)
  * debian/recollgui.links:
    + Fix link to user manual (Closes: #979360)

 -- Kartik Mistry <kartik@debian.org>  Wed, 06 Jan 2021 13:05:56 +0530

recoll (1.27.12-1) unstable; urgency=low

  * New upstream release (Closes: #975036)
  * debian/control:
    + Updated Standards-Version to 4.5.1
  * Updated debian/watch (Closes: #975037)
  * debian/rules:
    + B-D on python3-all-dev but only builds for current python. Thanks
      Steve Langasek <steve.langasek@canonical.com> for patch
      (Closes: #972196, #973330)
  * debian/copyright:
    + Fixed duplicate-globbing-patterns error.
    + Fixed file path.

 -- Kartik Mistry <kartik@debian.org>  Fri, 18 Dec 2020 22:26:11 +0530

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Vcs-Git: https://salsa.debian.org/debian/recoll.git
 Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: https://www.lesbonscomptes.com/recoll
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 
 Package: recoll
@@ -54,8 +54,8 @@
 
 Package: recollcmd
 Architecture: any
-Breaks: recoll (<< 1.23.7-2)
-Replaces: recoll (<< 1.23.7-2)
+Breaks: recollgui (<< 1.28.5-1)
+Replaces: recollgui (<< 1.28.5-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: aspell, python3, python3-recoll, xdg-utils, xsltproc
 Suggests: antiword,
@@ -73,6 +73,7 @@
           python3-lxml,
           python3-mido,
           python3-mutagen,
+          python3-py7zr,
           python3-rarfile,
           python3-six,
           unrtf,
@@ -84,8 +85,8 @@
 
 Package: recollgui
 Architecture: any
-Breaks: recoll (<< 1.23.7-2)
-Replaces: recoll (<< 1.23.7-2)
+Breaks: recollcmd (<< 1.28.5-1)
+Replaces: recollcmd (<< 1.28.5-1)
 Depends: recollcmd (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: GUI program and elements for recoll
  This package contains main recoll GUI for configuring, controlling and

=== debian/rules ===
--- 
+++ 
@@ -25,15 +25,19 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	cd python/recoll; libdir=/usr/lib/$${DEB_BUILD_MULTIARCH} python3 \
+	cd python/recoll; for python in $$(py3versions -s); do \
+		libdir=/usr/lib/$${DEB_BUILD_MULTIARCH} $$python \
 					./setup.py install \
 					--install-layout=deb \
 					--prefix=/usr \
-					--root=$(CURDIR)/debian/tmp/
-	cd python/pychm; python3 ./setup.py install \
+					--root=$(CURDIR)/debian/tmp/; \
+	done
+	cd python/pychm; for python in $$(py3versions -s); do \
+		$$python ./setup.py install \
 					--install-layout=deb \
 					--prefix=/usr \
-					--root=$(CURDIR)/debian/tmp/
+					--root=$(CURDIR)/debian/tmp/; \
+	done
 	# Remove python2 filter
 	rm -f $(CURDIR)/debian/tmp/usr/share/recoll/filters/hotrecoll.py
 	# Cleanup

## recoll 1.30.1

=== kde/kioslave/kio_recoll-kde4/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
     -DLIBDIR=\\"${CMAKE_INSTALL_PREFIX}/lib\\"
     -DHAVE_CONFIG_H
 )
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 
+set(CMAKE_CXX_FLAGS "-fPIC ${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 
 
 set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

=== debian/changelog ===
recoll (1.30.1-1.1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Lots of adjustments to recollcmd depends and recommends for OOTB support.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 14 Apr 2021 12:56:40 -0400

recoll (1.30.1-1) experimental; urgency=low

  * New upstream release (Closes: #985075)

 -- Kartik Mistry <kartik@debian.org>  Tue, 13 Apr 2021 11:25:13 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: recoll
 Section: x11
 Priority: optional
-Maintainer: Kartik Mistry <kartik@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-python,
@@ -56,18 +57,25 @@
 Architecture: any
 Breaks: recollgui (<< 1.28.5-1)
 Replaces: recollgui (<< 1.28.5-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: aspell, python3, python3-recoll, xdg-utils, xsltproc
-Suggests: antiword,
-          djvulibre-bin,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+          poppler-utils,
+          python3-recoll,
+          xdg-utils,
+          xsltproc,
           ghostscript,
+          antiword,
+          python3-chardet,
+          wv,
+          libxml2,
+          libxslt1.1,
+          unzip,
+          aspell
+Recommends: evince, libimage-exiftool-perl, pdftk, gir1.2-poppler-0.18
+Suggests: djvulibre-bin,
           groff,
-          libimage-exiftool-perl,
           libinotifytools0,
           libwpd-tools,
-          poppler-utils,
           pstotext,
-          python3-chardet,
           python3-chm,
           python3-icalendar,
           python3-lxml,
@@ -78,7 +86,9 @@
           python3-six,
           unrtf,
           untex,
-          wv
+          libpff1,
+          tesseract-ocr,
+          fonts-nanum
 Description: Command line programs for recoll
  This package contains command line programs for a personal full text search
  package recoll.

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 
 %:
 	dh $@ --with python3
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-recollq --enable-xadump

## recoll 1.31.0

=== debian/changelog ===
recoll (1.31.0-1deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:57:12 +0200

recoll (1.31.0-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Fri, 20 Aug 2021 18:57:41 +0530

## recoll 1.31.6

=== doc/user/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	dblatex --xslt-opts="--xinclude" -tpdf $<
 
 UTILBUILDS=/home/dockes/tmp/builds/medocutils/
-recoll-conf-xml:
+recoll.conf.xml: ../../sampleconf/recoll.conf
 	$(UTILBUILDS)/confxml --docbook \
         --idprefix=RCL.INSTALL.CONFIG.RECOLLCONF  \
         ../../sampleconf/recoll.conf  > recoll.conf.xml
@@ -65,7 +65,7 @@
 # script. 
 # Also could not get readthedocs to generate the left pane TOC? could
 # probably be fixed...
-#usermanual-rst: recoll-conf-xml
+#usermanual-rst: recoll.conf.xml
 #	tail -n +2 recoll.conf.xml > rcl-conf-tail.xml
 #	sed -e '/xi:include/r rcl-conf-tail.xml' \
 #		< usermanual.xml > full-man.xml

=== kde/kioslave/kio_recoll/CMakeLists.txt ===
--- 
+++ 
@@ -85,6 +85,7 @@
 xslt
 xml2
 KF5::KIOCore
+X11
 dl
 z
 pthread

=== debian/changelog ===
recoll (1.31.6-1ubuntu1) jammy; urgency=medium

  * List .service files in debian/not-installed

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 01 Apr 2022 15:24:01 +0000

recoll (1.31.6-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:11:33 +0000

recoll (1.31.6-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Thu, 30 Dec 2021 19:11:41 +0530

recoll (1.31.4-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Mon, 29 Nov 2021 09:00:26 +0530

recoll (1.31.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.6.0
  * Refreshed debian/patches/blhc.diff
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Sat, 20 Nov 2021 19:01:25 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: recoll
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
@@ -22,7 +22,7 @@
 Vcs-Git: https://salsa.debian.org/debian/recoll.git
 Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: https://www.lesbonscomptes.com/recoll
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: recoll
@@ -57,25 +57,18 @@
 Architecture: any
 Breaks: recollgui (<< 1.28.5-1)
 Replaces: recollgui (<< 1.28.5-1)
-Depends: ${misc:Depends}, ${shlibs:Depends},
-          poppler-utils,
-          python3-recoll,
-          xdg-utils,
-          xsltproc,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: aspell, python3, python3-recoll, xdg-utils, xsltproc
+Suggests: antiword,
+          djvulibre-bin,
           ghostscript,
-          antiword,
-          python3-chardet,
-          wv,
-          libxml2,
-          libxslt1.1,
-          unzip,
-          aspell
-Recommends: evince, libimage-exiftool-perl, pdftk, gir1.2-poppler-0.18
-Suggests: djvulibre-bin,
           groff,
+          libimage-exiftool-perl,
           libinotifytools0,
           libwpd-tools,
+          poppler-utils,
           pstotext,
+          python3-chardet,
           python3-chm,
           python3-icalendar,
           python3-lxml,
@@ -86,9 +79,7 @@
           python3-six,
           unrtf,
           untex,
-          libpff1,
-          tesseract-ocr,
-          fonts-nanum
+          wv
 Description: Command line programs for recoll
  This package contains command line programs for a personal full text search
  package recoll.

## recoll 1.32.5

=== debian/changelog ===
recoll (1.32.5-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Configure with --without-systemd to avoid dh_missing FTBFS
      (Instead of listing .service files in debian/not-installed)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Aug 2022 08:27:53 +0000

recoll (1.32.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.6.1

 -- Kartik Mistry <kartik@debian.org>  Tue, 12 Jul 2022 09:44:20 +0530

recoll (1.32.2-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Tue, 14 Jun 2022 11:45:50 +0530

recoll (1.32.0-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Sat, 02 Apr 2022 20:04:39 +0530

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Vcs-Git: https://salsa.debian.org/debian/recoll.git
 Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: https://www.lesbonscomptes.com/recoll
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: recoll

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,8 @@
 %:
 	dh $@ --with python3
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-recollq --enable-xadump
+	dh_auto_configure -- --enable-recollq --enable-xadump --without-systemd
 
 override_dh_auto_install:
 	dh_auto_install
